## mopidy-dleyna 2.0.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Mopidy-dLeyna.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Mopidy-dLeyna.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Mopidy-dLeyna"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Mopidy-dLeyna"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## mopidy-dleyna 1.0.1

=== debian/changelog ===
mopidy-dleyna (1.0.1-1) unstable; urgency=low

  * Initial release. (Closes: #800545)

 -- Stein Magnus Jodal <stein.magnus@jodal.no>  Wed, 30 Sep 2015 19:50:37 +0200

=== debian/control ===
Source: mopidy-dleyna
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
Build-Depends: debhelper (>= 9),
               dh-python,
               mopidy (>= 1.0.8-2),
               python-all (>= 2.7),
               python-pykka,
               python-pytest,
               python-setuptools,
               python-uritools,
Standards-Version: 3.9.6
Homepage: https://github.com/tkem/mopidy-dleyna
Vcs-Git: git://github.com/jodal/mopidy-dleyna.git
Vcs-Browser: https://github.com/jodal/mopidy-dleyna
X-Python-Version: >= 2.7

Package: mopidy-dleyna
Architecture: all
Depends: dleyna-server,
         python-dbus,
         ${misc:Depends},
         ${python:Depends},
Description: Mopidy extension for playing music from Digital Media Servers
 Mopidy is a music server which can play music from multiple sources, like your
 local hard drive, radio streams, and from Spotify and SoundCloud.
 .
 This package provides a Mopidy extension for playing music from DLNA Digital
 Media Servers using the dLeyna D-Bus interface.

## mopidy-dleyna 1.0.5

=== debian/changelog ===
mopidy-dleyna (1.0.5-2) unstable; urgency=medium

  * Add missing Depends on dbus-x11

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 26 Mar 2016 22:50:52 +0100

mopidy-dleyna (1.0.5-1) unstable; urgency=medium

  * New upstream release
  * Migrate to git-dpm, remote gbp config
  * debian/control
    - Update my email address
    - Update Vcs-Git and Vcs-Browser to point to Alioth
  * debian/copyright
    - Update my email address
    - Update copyright years

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 23 Jan 2016 23:33:03 +0100

mopidy-dleyna (1.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 18 Nov 2015 15:20:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mopidy-dleyna
 Section: sound
 Priority: optional
-Maintainer: Stein Magnus Jodal <stein.magnus@jodal.no>
+Maintainer: Stein Magnus Jodal <jodal@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-python,
                mopidy (>= 1.0.8-2),
@@ -12,13 +12,14 @@
                python-uritools,
 Standards-Version: 3.9.6
 Homepage: https://github.com/tkem/mopidy-dleyna
-Vcs-Git: git://github.com/jodal/mopidy-dleyna.git
-Vcs-Browser: https://github.com/jodal/mopidy-dleyna
+Vcs-Git: git://anonscm.debian.org/pkg-mopidy/mopidy-dleyna.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mopidy/mopidy-dleyna.git
 X-Python-Version: >= 2.7
 
 Package: mopidy-dleyna
 Architecture: all
-Depends: dleyna-server,
+Depends: dbus-x11,
+         dleyna-server,
          python-dbus,
          ${misc:Depends},
          ${python:Depends},

## mopidy-dleyna 1.1.1

=== debian/changelog ===
mopidy-dleyna (1.1.1-1) unstable; urgency=medium

  * New upstream release
  * debian/clean
    - Clean .cache/
  * debian/control
    - Bump Standards-Version to 3.9.8, no changes required
    - Add Build-Depends on python-mock

 -- Stein Magnus Jodal <jodal@debian.org>  Tue, 09 Aug 2016 23:07:10 +0200

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
                dh-python,
                mopidy (>= 1.0.8-2),
                python-all (>= 2.7),
+               python-mock,
                python-pykka,
                python-pytest,
                python-setuptools,
                python-uritools,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/tkem/mopidy-dleyna
 Vcs-Git: git://anonscm.debian.org/pkg-mopidy/mopidy-dleyna.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mopidy/mopidy-dleyna.git

## mopidy-dleyna 1.2.0

=== debian/changelog ===
mopidy-dleyna (1.2.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #836117)
  * debian/control
    - Drop depends on dbus-x11

 -- Stein Magnus Jodal <jodal@debian.org>  Fri, 23 Sep 2016 22:38:52 +0200

=== debian/control ===
--- 
+++ 
@@ -19,8 +19,7 @@
 
 Package: mopidy-dleyna
 Architecture: all
-Depends: dbus-x11,
-         dleyna-server,
+Depends: dleyna-server,
          python-dbus,
          ${misc:Depends},
          ${python:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_TEST_PYTEST=1
export PYBUILD_TEST_ARGS={dir}/tests/

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## mopidy-dleyna 1.2.1

=== debian/changelog ===
mopidy-dleyna (1.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Bump Standards-Version to 4.1.4, no changes required
    - Set Vcs-* to salsa.debian.org
    - Require debhelper 10
  * debian/copyright
    - Update copyright years

 -- Stein Magnus Jodal <jodal@debian.org>  Sun, 15 Apr 2018 01:27:19 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: sound
 Priority: optional
 Maintainer: Stein Magnus Jodal <jodal@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                mopidy (>= 1.0.8-2),
                python-all (>= 2.7),
@@ -11,10 +11,10 @@
                python-pytest,
                python-setuptools,
                python-uritools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Homepage: https://github.com/tkem/mopidy-dleyna
-Vcs-Git: git://anonscm.debian.org/pkg-mopidy/mopidy-dleyna.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-mopidy/mopidy-dleyna.git
+Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-dleyna.git
+Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-dleyna
 X-Python-Version: >= 2.7
 
 Package: mopidy-dleyna

## mopidy-dleyna 1.2.2

=== debian/changelog ===
mopidy-dleyna (1.2.2-1) unstable; urgency=medium

  * New upstream release
  * Build docs with Sphinx
  * debian/clean
    - Remove custom clean rules
  * debian/control
    - Remove redundant X-Python-Version
    - Bump Standards-Version to 4.3.0, no changes required

 -- Stein Magnus Jodal <jodal@debian.org>  Mon, 18 Feb 2019 23:15:53 +0100

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                python-pytest,
                python-setuptools,
                python-uritools,
-Standards-Version: 4.1.4
+               python3-sphinx,
+Standards-Version: 4.3.0
 Homepage: https://github.com/tkem/mopidy-dleyna
 Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-dleyna.git
 Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-dleyna
-X-Python-Version: >= 2.7
 
 Package: mopidy-dleyna
 Architecture: all
@@ -23,6 +23,8 @@
          python-dbus,
          ${misc:Depends},
          ${python:Depends},
+         ${sphinxdoc:Depends},
+Built-Using: ${sphinxdoc:Built-Using},
 Description: Mopidy extension for playing music from Digital Media Servers
  Mopidy is a music server which can play music from multiple sources, like your
  local hard drive, radio streams, and from Spotify and SoundCloud.

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,13 @@
 export PYBUILD_TEST_ARGS={dir}/tests/
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python2,sphinxdoc --buildsystem=pybuild
+
+override_dh_auto_build: export http_proxy=127.0.0.1:9
+override_dh_auto_build: export https_proxy=127.0.0.1:9
+override_dh_auto_build:
+	dh_auto_build
+	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.rst

## mopidy-dleyna 2.0.0

=== debian/changelog ===
mopidy-dleyna (2.0.0-1) unstable; urgency=medium

  * New upstream release
  * Switch from Python 2 to 3 (Closes: #937073)
  * Bump debhelper from 10 to 12
  * Disable tests because of pkg_resurces usage
  * d/control: Bump Standards-Version to 4.4.1, no changes
  * d/control: Require mopidy >= 3
  * d/control: Update Description
  * d/copyright: Update copyright years
  * d/copyright: Use HTTPS for the copyright spec
  * d/rules: Update changelog name

 -- Stein Magnus Jodal <jodal@debian.org>  Thu, 26 Dec 2019 02:19:34 +0100

=== debian/control ===
Source: mopidy-dleyna
Section: sound
Priority: optional
Maintainer: Stein Magnus Jodal <jodal@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               mopidy (>= 3),
               python3-all,
               python3-pykka,
               python3-setuptools,
               python3-sphinx,
               python3-uritools,
Standards-Version: 4.4.1
Homepage: https://github.com/tkem/mopidy-dleyna
Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-dleyna.git
Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-dleyna

Package: mopidy-dleyna
Architecture: all
Depends: dleyna-server,
         python3-dbus,
         ${misc:Depends},
         ${python3:Depends},
         ${sphinxdoc:Depends},
Built-Using: ${sphinxdoc:Built-Using},
Description: Mopidy extension for playing music from Digital Media Servers
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides a Mopidy extension for playing music from DLNA Digital
 Media Servers using the dLeyna D-Bus interface.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Mopidy-dLeyna/Mopidy-dLeyna-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## mopidy-dleyna 2.0.1

=== debian/changelog ===
mopidy-dleyna (2.0.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Stein Magnus Jodal ]
  * d/control: Set Rules-Requires-Root to no

 -- Stein Magnus Jodal <jodal@debian.org>  Sat, 26 Dec 2020 19:57:58 +0100

mopidy-dleyna (2.0.1-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.5.0

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 02 Dec 2020 22:48:22 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,8 @@
                python3-setuptools,
                python3-sphinx,
                python3-uritools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/tkem/mopidy-dleyna
 Vcs-Git: https://salsa.debian.org/mopidy-team/mopidy-dleyna.git
 Vcs-Browser: https://salsa.debian.org/mopidy-team/mopidy-dleyna

## mopidy-dleyna 2.0.2

=== debian/changelog ===
mopidy-dleyna (2.0.2-3) unstable; urgency=medium

  * Team upload.
  * Extend the patch to avoid creating a
    runtime dependency on python3-setuptools

 -- Alexandre Detiste <tchet@debian.org>  Tue, 27 Jan 2026 20:44:52 +0100

mopidy-dleyna (2.0.2-2) unstable; urgency=medium

  * Team Upload
  * Patch-out usage of pkg_resources (Closes: #1083489)
  * Use dh-sequence-python3
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Add debian/salsa-ci.yml
  * Bump d/watch version to v4

  [ Stein Magnus Jodal ]
  * Move package to Debian Python Team

 -- Alexandre Detiste <tchet@debian.org>  Mon, 26 Jan 2026 08:02:16 +0100

mopidy-dleyna (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: Update copyright years
  * d/control: Bump Standards-Version to 4.6.1

 -- Stein Magnus Jodal <jodal@debian.org>  Wed, 18 May 2022 12:01:20 +0200

=== debian/control ===
Source: mopidy-dleyna
Section: sound
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Stein Magnus Jodal <jodal@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-sequence-python3,
 mopidy (>= 3),
 pybuild-plugin-pyproject,
 python3-all,
 python3-pykka,
 python3-setuptools,
 python3-sphinx,
 python3-uritools,
Standards-Version: 4.7.3
Homepage: https://github.com/tkem/mopidy-dleyna
Vcs-Git: https://salsa.debian.org/python-team/packages/mopidy-dleyna.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mopidy-dleyna

Package: mopidy-dleyna
Architecture: all
Depends:
 dleyna-server,
 python3-dbus,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Built-Using:
 ${sphinxdoc:Built-Using},
Description: Mopidy extension for playing music from Digital Media Servers
 Mopidy plays music from local disk, Spotify, SoundCloud, Google Play Music,
 and more. You can edit the playlist from any phone, tablet, or computer using
 a variety of MPD and web clients.
 .
 This package provides a Mopidy extension for playing music from DLNA Digital
 Media Servers using the dLeyna D-Bus interface.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_DISABLE=test

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. python3 -m sphinx -N -bhtml docs/ build/html

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/Mopidy-dLeyna/Mopidy-dLeyna-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
